@import '_content/ResearchPortalSharedComponents/ResearchPortalSharedComponents.1lgvnh6nhf.bundle.scp.css';

/* /Pages/AddinLoginPage.razor.rz.scp.css */

span[b-5ek01jf7ku] {
    font-size: small;
}

.font-x-small[b-5ek01jf7ku] {
    font-size: x-small;
}

.logo[b-5ek01jf7ku] {
    max-width: 300px;
}

.slide-in-right[b-5ek01jf7ku] {
    width: 0;
    opacity: 0;
    transform: translateX(40px); /* small nudge to create 'slide' illusion */
    overflow: hidden;
    animation: slideGrowRight-b-5ek01jf7ku 1s cubic-bezier(.25, .1, .25, 1) forwards;
}

@keyframes slideGrowRight-b-5ek01jf7ku {
    0% {
        width: 0;
        opacity: 0;
        transform: translateX(40px);
    }

    100% {
        width: 100%;
        opacity: 1;
        transform: translateX(0);
    }
}

.shake[b-5ek01jf7ku] {
    animation: shakeAnim-b-5ek01jf7ku 0.4s ease-in-out;
}

@keyframes shakeAnim-b-5ek01jf7ku {
    0% {
        transform: translateX(0);
    }

    20% {
        transform: translateX(-6px);
    }

    40% {
        transform: translateX(6px);
    }

    60% {
        transform: translateX(-4px);
    }

    80% {
        transform: translateX(4px);
    }

    100% {
        transform: translateX(0);
    }
}
/* /Pages/LoginSuccessfulPage.razor.rz.scp.css */
.font-x-small[b-vx4y64cdbu] {
    font-size: x-small;
}

.logo[b-vx4y64cdbu] {
    max-width: 300px;
}
/* /Pages/ResponsePage.razor.rz.scp.css */
.font-x-small[b-liy9mrv65s] {
    font-size: x-small;
}

.logo[b-liy9mrv65s] {
    max-width: 300px;
}
/* /Shared/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-ibd8ly4ejz] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-ibd8ly4ejz] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
